JUCE: juce::dsp::Limiter< SampleType > Class Template Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::dsp::Limiter< SampleType > Class Template Reference
juce_dsp » widgets

A simple limiter with standard threshold and release time controls, featuring two compressors and a hard clipper at 0 dB. More...

`#include <juce_Limiter.h>`

## Public Member Functions
| Limiter ()=default
| Constructor.
void | setThreshold (SampleType newThreshold)
| Sets the threshold in dB of the limiter.
void | setRelease (SampleType newRelease)
| Sets the release time in milliseconds of the limiter.
void | prepare (const ProcessSpec &spec)
| Initialises the processor.
void | reset ()
| Resets the internal state variables of the processor.
template<typename ProcessContext >
void | process (const ProcessContext &context) noexcept
| Processes the input and output samples supplied in the processing context.

## Detailed Description

template<typename SampleType>
class juce::dsp::Limiter< SampleType >

A simple limiter with standard threshold and release time controls, featuring two compressors and a hard clipper at 0 dB.

## Constructor & Destructor Documentation

## ◆ Limiter()

template<typename SampleType >

juce::dsp::Limiter< SampleType >::Limiter | ( |  | ) |
| default

Constructor.

## Member Function Documentation

## ◆ setThreshold()

template<typename SampleType >

void juce::dsp::Limiter< SampleType >::setThreshold | ( | SampleType | newThreshold | ) |

Sets the threshold in dB of the limiter.

## ◆ setRelease()

template<typename SampleType >

void juce::dsp::Limiter< SampleType >::setRelease | ( | SampleType | newRelease | ) |

Sets the release time in milliseconds of the limiter.

## ◆ prepare()

template<typename SampleType >

void juce::dsp::Limiter< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the processor.

## ◆ reset()

template<typename SampleType >

void juce::dsp::Limiter< SampleType >::reset | ( |  | ) |

Resets the internal state variables of the processor.

## ◆ process()

template<typename SampleType >
template<typename ProcessContext >

void juce::dsp::Limiter< SampleType >::process | ( | const ProcessContext & | context | ) |
| noexcept

Processes the input and output samples supplied in the processing context.

References jassert.

The documentation for this class was generated from the following file:

- juce_Limiter.h